<?php
/*
Plugin name: OrcasOnline Ad Categories Remote
Plugin URI: https://support.orcasonline.com/admanager-shortcodes
Description: Creates a shortcode for placing ad categories on page. Data is retrieved via a remote db call to a database managed by Ocas Online Ad Manager.
Version: 2.4
Author: Orcas Online
Author URI: https://orcasonline.com
License: private
Notes: 20190613 - Converting to remote mysql call

/*
Section for mysql contection credentials

*/


add_shortcode( 'ool_adCats', 'ool_ad_categories' );
add_shortcode( 'ool_adCats1', 'ool_ad_categories1' );
add_shortcode( 'ool_adCats2', 'ool_ad_categories2' );
add_shortcode( 'ool_adCats3', 'ool_ad_categories3' );

function ool_ad_categories($atts) {

	include ( "config.php" );
	global $all_ool_ads;


	extract( shortcode_atts( array(    
		'category' => '',
		'showtitle' => '',
		'dir' => 'asc',
		'AdID' => '',
		'adscols' => '',
		'noanchors' => '0'
	      ), $atts ) );
      
    	global $wpdb_ool;

	$cats = explode(',', $category);

	/* adjusting order */

	$orderby =" plan ";
    	if ( $dir == 'desc' || $dir == 'asc' || $dir == 'rand' || $dir =="title" || $dir == "title-desc" ) {
		} else { $dir = ''; } 
	if ( $dir == 'rand' ) { $orderby =' RAND() '; }
	if ( $dir == "asc" OR $dir == "desc" ) { $orderby = $orderby . $dir; }
	if ( $dir == "title" ) { $orderby = "adTitle"; }
	if ( $dir == "title-desc" ) { $orderby = "adTitle DESC"; }
	/* end ajusting order */

	if ($adscols==1) { 
		echo '<style>
		* {  boox-sizing: border-box; }
		.tworowset { display: flex; }
		.twocolset { flex: 50%; padding: 10px; }
		</style>';
		}


	foreach ( $cats as $category ) {
    
    		if ( $showtitle == 'yes' ) { 
			$gettitle_query = "SELECT name FROM ".$TABLE_Prefix_remote."raham_categories WHERE id ='$category'";
			$titleresult=mysqli_query($linkID_remote, $gettitle_query)  or die(mysqli_error($linkID_remote));
			$titlerow=mysqli_fetch_array($titleresult);
			$title=$titlerow["name"];
		$ads_in_category = '<h2 class="adCats_main_Title">'.$title.'</h2>'; }

		$gettheseresults_query = "select ads.id, ads.adTitle, ads.adListing, ads.adURL, ads.adImage, ads.owner,rloc.location from ".$TABLE_Prefix_remote."raham_ads as ads
                        left join ".$TABLE_Prefix_remote."raham_category_assignments as radc on ads.id=radc.adID
                        left join ".$TABLE_Prefix_remote."raham_location_assignments as radloc on ads.id=radloc.adID
                        left join ".$TABLE_Prefix_remote."raham_locations as rloc on radloc.locationID=rloc.id
                        left join ".$TABLE_Prefix_remote."raham_advertisers as radv on ads.owner=radv.id
                        where radc.catID='$category' and radv.status<>'closed'
                        order by ads.plan DESC,".$orderby ;    

                        $gettheseresultsresult=mysqli_query($linkID_remote, $gettheseresults_query)  or die(mysqli_error($linkID_remote));
                        $myrows=mysqli_fetch_array($gettheseresultsresult);

		$halfNo = ceil(count($myrows)/2);
		$flag = 0;
		$adsrow=0;

		while ($row = mysqli_fetch_array($gettheseresultsresult)) { 
			if ($adsrow=="0" and $adscols==1) { $ads_in_category .= '<div class="tworowset"><div class="twocolset">'; }
				elseif ($adsrow=="1" and $adscols ==1) { $ads_in_category .= '<div class="twocolset">'; }
			$flag = 1; 
			$the_adID = $row["id"];
 

			if ($noanchors=="0") { $ads_in_category .= '<a name="'.$the_adID.'"></a>'; }
			$ads_in_category .= '<div class="adCats-single-listing';
			if ($row["plan"] == "Level 1" ) { 
				$ads_in_category .= ' adCats-Level1 '; 
				}
				elseif ($row["plan"] == "Level 2" ) { 
					$ads_in_category .= ' adCats-Level2 '; 
				}
				else { 
					$ads_in_category .= ' adCats-Free '; 
				}
			$ads_in_category .= '" >';


			$ads_in_category .= '<h3  class="adCats-h3">';
        		if (!empty($row["adURL"]) ) { $ads_in_category .= '<a href="'.$row["adURL"].'" target="_blank" class="adCats-link"><span class="adCats-title">'; 	}
        		$ads_in_category .= stripslashes($row["adTitle"]);
        		if (!empty($row["adURL"]) ) { $ads_in_category .= '</span></a>'; }
        		$ads_in_category .= '</h3><p  class="adCats-listingbody">';
			if (!empty($row["adImage"])) { 
				if (!empty($row["adURL"]) ) { $ads_in_category .= '<a href="'.$row["adURL"].'" target="_blank class="adCats-link-image">'; } 
				$ads_in_category .= '<img src="'.stripslashes($row["adImage"]).'" class="adCats-image">'; 
				if (!empty($row["adURL"]) ) { $ads_in_category .= '</a>'; }
				}
			$ads_in_category .= stripslashes($row["adListing"]).'<br />';
			
			$phone_query = "SELECT phone FROM ". $TABLE_Prefix_remote ."raham_advertisers WHERE id='". $row["owner"] . "'";
			$phone_result=mysqli_query($linkID_remote, $phone_query)  or die(mysqli_error($linkID_remote));
			$phone_rows=mysqli_fetch_array($phone_result);
			$phone=$phone_rows["phone"];
        		if (!empty($phone)) { 	$ads_in_category .= '<strong> <a href="tel:'.$phone.'" class="adCats-phone">Call '.$phone.'</a></strong>'; 	}
        		if (!empty($phone) AND !empty($row["location"])) { $ads_in_category .= ', '; 	}
        		if(!empty($row["location"])) { $ads_in_category .='<strong><span class="adCats-location">'.$row["location"].'</span></strong>'; 	}

        		$ads_in_category .=' '.'</p></div>
						';
			if ( $adsrow=="0" and $adscols ==1) { $ads_in_category .= '</div>'; $adsrow=1; }
				elseif ($adsrow=="1" and $adscols==1)  { $ads_in_category .= '</div></div>'; $adsrow=0; }

			}

		if ( $adsrow=="1" and $adscols==1) { $ads_in_category .=' '.'</p></div>
                                                '; }

		if ($flag) { $all_ads .= $ads_in_category; $ads_in_category=''; $adscolss=0; $flag='';	}
			else { $all_ads=''; 	}

		}

		mysqli_close($linkID_remote);
		return $all_ads;



	}



function ool_ad_categories1($atts) {

	include ( "config.php" );
	global $all_ool_ads1;


	extract( shortcode_atts( array(    
		'category' => '',
		'showtitle' => '',
		'dir' => 'asc',
		'AdID' => '',
		'adscols' => '',
		'noanchors' => '0'
	      ), $atts ) );
      
    	global $wpdb_ool;

	$cats = explode(',', $category);

	/* adjusting order */

	$orderby =" plan ";
    	if ( $dir == 'desc' || $dir == 'asc' || $dir == 'rand' || $dir =="title" || $dir == "title-desc" ) {
		} else { $dir = ''; } 
	if ( $dir == 'rand' ) { $orderby =' RAND() '; }
	if ( $dir == "asc" OR $dir == "desc" ) { $orderby = $orderby . $dir; }
	if ( $dir == "title" ) { $orderby = "adTitle"; }
	if ( $dir == "title-desc" ) { $orderby = "adTitle DESC"; }
	/* end ajusting order */

	if ($adscols==1) { 
		echo '<style>
		* {  boox-sizing: border-box; }
		.tworowset { display: flex; }
		.twocolset { flex: 50%; padding: 10px; }
		</style>';
		}


	foreach ( $cats as $category ) {
    
    		if ( $showtitle == 'yes' ) { 
			$gettitle_query = "SELECT name FROM ".$TABLE_Prefix_remote."raham_categories WHERE id ='$category'";
			$titleresult=mysqli_query($linkID_remote, $gettitle_query)  or die(mysqli_error($linkID_remote));
			$titlerow=mysqli_fetch_array($titleresult);
			$title=$titlerow["name"];
		$ads_in_category = '<h2 class="adCats_main_Title">'.$title.'</h2>'; }

		$gettheseresults_query = "select ads.id, ads.adTitle, ads.adListing, ads.adURL, ads.adImage, ads.owner,rloc.location from ".$TABLE_Prefix_remote."raham_ads as ads
                        left join ".$TABLE_Prefix_remote."raham_category_assignments as radc on ads.id=radc.adID
                        left join ".$TABLE_Prefix_remote."raham_location_assignments as radloc on ads.id=radloc.adID
                        left join ".$TABLE_Prefix_remote."raham_locations as rloc on radloc.locationID=rloc.id
                        left join ".$TABLE_Prefix_remote."raham_advertisers as radv on ads.owner=radv.id
                        where radc.catID='$category' and radv.status<>'closed'
                        order by ads.plan DESC,".$orderby ;    

                        $gettheseresultsresult=mysqli_query($linkID_remote, $gettheseresults_query)  or die(mysqli_error($linkID_remote));
                        $myrows=mysqli_fetch_array($gettheseresultsresult);

		$halfNo = ceil(count($myrows)/2);
		$flag = 0;
		$adsrow=0;

		while ($row = mysqli_fetch_array($gettheseresultsresult)) { 
			if ($adsrow=="0" and $adscols==1) { $ads_in_category .= '<div class="tworowset"><div class="twocolset">'; }
				elseif ($adsrow=="1" and $adscols ==1) { $ads_in_category .= '<div class="twocolset">'; }
			$flag = 1; 
			$the_adID = $row["id"];
 

			if ($noanchors=="0") { $ads_in_category .= '<a name="'.$the_adID.'"></a>'; }
			$ads_in_category .= '<div class="adCats-single-listing';
			if ($row["plan"] == "Level 1" ) { 
				$ads_in_category .= ' adCats-Level1 '; 
				}
				elseif ($row["plan"] == "Level 2" ) { 
					$ads_in_category .= ' adCats-Level2 '; 
				}
				else { 
					$ads_in_category .= ' adCats-Free '; 
				}
			$ads_in_category .= '" >';


			$ads_in_category .= '<h3  class="adCats-h3">';
        		if (!empty($row["adURL"]) ) { $ads_in_category .= '<a href="'.$row["adURL"].'" target="_blank" class="adCats-link"><span class="adCats-title">'; 	}
        		$ads_in_category .= stripslashes($row["adTitle"]);
        		if (!empty($row["adURL"]) ) { $ads_in_category .= '</span></a>'; }
        		$ads_in_category .= '</h3><p  class="adCats-listingbody">';
			if (!empty($row["adImage"])) { 
				if (!empty($row["adURL"]) ) { $ads_in_category .= '<a href="'.$row["adURL"].'" target="_blank class="adCats-link-image">'; } 
				$ads_in_category .= '<img src="'.stripslashes($row["adImage"]).'" class="adCats-image">'; 
				if (!empty($row["adURL"]) ) { $ads_in_category .= '</a>'; }
				}
			$ads_in_category .= stripslashes($row["adListing"]).'<br />';
			
			$phone_query = "SELECT phone FROM ". $TABLE_Prefix_remote ."raham_advertisers WHERE id='". $row["owner"] . "'";
			$phone_result=mysqli_query($linkID_remote, $phone_query)  or die(mysqli_error($linkID_remote));
			$phone_rows=mysqli_fetch_array($phone_result);
			$phone=$phone_rows["phone"];
        		if (!empty($phone)) { 	$ads_in_category .= '<strong> <a href="tel:'.$phone.'" class="adCats-phone">Call '.$phone.'</a></strong>'; 	}
        		if (!empty($phone) AND !empty($row["location"])) { $ads_in_category .= ', '; 	}
        		if(!empty($row["location"])) { $ads_in_category .='<strong><span class="adCats-location">'.$row["location"].'</span></strong>'; 	}

        		$ads_in_category .=' '.'</p></div>
						';
			if ( $adsrow=="0" and $adscols ==1) { $ads_in_category .= '</div>'; $adsrow=1; }
				elseif ($adsrow=="1" and $adscols==1)  { $ads_in_category .= '</div></div>'; $adsrow=0; }

			}

		if ( $adsrow=="1" and $adscols==1) { $ads_in_category .=' '.'</p></div>
                                                '; }

		if ($flag) { $all_ads1 .= $ads_in_category; $ads_in_category=''; $adscolss=0; $flag='';	}
			else { $all_ads1=''; 	}

		}

		mysqli_close($linkID_remote);
		return $all_ads1;

	}


function ool_ad_categories2($atts) {

	include ( "config.php" );
	global $all_ool_ads2;


	extract( shortcode_atts( array(    
		'category' => '',
		'showtitle' => '',
		'dir' => 'asc',
		'AdID' => '',
		'adscols' => '',
		'noanchors' => '0'
	      ), $atts ) );
      
    	global $wpdb_ool;

	$cats = explode(',', $category);

	/* adjusting order */

	$orderby =" plan ";
    	if ( $dir == 'desc' || $dir == 'asc' || $dir == 'rand' || $dir =="title" || $dir == "title-desc" ) {
		} else { $dir = ''; } 
	if ( $dir == 'rand' ) { $orderby =' RAND() '; }
	if ( $dir == "asc" OR $dir == "desc" ) { $orderby = $orderby . $dir; }
	if ( $dir == "title" ) { $orderby = "adTitle"; }
	if ( $dir == "title-desc" ) { $orderby = "adTitle DESC"; }
	/* end ajusting order */

	if ($adscols==1) { 
		echo '<style>
		* {  boox-sizing: border-box; }
		.tworowset { display: flex; }
		.twocolset { flex: 50%; padding: 10px; }
		</style>';
		}


	foreach ( $cats as $category ) {
    
    		if ( $showtitle == 'yes' ) { 
			$gettitle_query = "SELECT name FROM ".$TABLE_Prefix_remote."raham_categories WHERE id ='$category'";
			$titleresult=mysqli_query($linkID_remote, $gettitle_query)  or die(mysqli_error($linkID_remote));
			$titlerow=mysqli_fetch_array($titleresult);
			$title=$titlerow["name"];
		$ads_in_category = '<h2 class="adCats_main_Title">'.$title.'</h2>'; }

		$gettheseresults_query = "select ads.id, ads.adTitle, ads.adListing, ads.adURL, ads.adImage, ads.owner,rloc.location from ".$TABLE_Prefix_remote."raham_ads as ads
                        left join ".$TABLE_Prefix_remote."raham_category_assignments as radc on ads.id=radc.adID
                        left join ".$TABLE_Prefix_remote."raham_location_assignments as radloc on ads.id=radloc.adID
                        left join ".$TABLE_Prefix_remote."raham_locations as rloc on radloc.locationID=rloc.id
                        left join ".$TABLE_Prefix_remote."raham_advertisers as radv on ads.owner=radv.id
                        where radc.catID='$category' and radv.status<>'closed'
                        order by ads.plan DESC,".$orderby ;    

                        $gettheseresultsresult=mysqli_query($linkID_remote, $gettheseresults_query)  or die(mysqli_error($linkID_remote));
                        $myrows=mysqli_fetch_array($gettheseresultsresult);

		$halfNo = ceil(count($myrows)/2);
		$flag = 0;
		$adsrow=0;

		while ($row = mysqli_fetch_array($gettheseresultsresult)) { 
			if ($adsrow=="0" and $adscols==1) { $ads_in_category .= '<div class="tworowset"><div class="twocolset">'; }
				elseif ($adsrow=="1" and $adscols ==1) { $ads_in_category .= '<div class="twocolset">'; }
			$flag = 1; 
			$the_adID = $row["id"];
 

			if ($noanchors=="0") { $ads_in_category .= '<a name="'.$the_adID.'"></a>'; }
			$ads_in_category .= '<div class="adCats-single-listing';
			if ($row["plan"] == "Level 1" ) { 
				$ads_in_category .= ' adCats-Level1 '; 
				}
				elseif ($row["plan"] == "Level 2" ) { 
					$ads_in_category .= ' adCats-Level2 '; 
				}
				else { 
					$ads_in_category .= ' adCats-Free '; 
				}
			$ads_in_category .= '" >';


			$ads_in_category .= '<h3  class="adCats-h3">';
        		if (!empty($row["adURL"]) ) { $ads_in_category .= '<a href="'.$row["adURL"].'" target="_blank" class="adCats-link"><span class="adCats-title">'; 	}
        		$ads_in_category .= stripslashes($row["adTitle"]);
        		if (!empty($row["adURL"]) ) { $ads_in_category .= '</span></a>'; }
        		$ads_in_category .= '</h3><p  class="adCats-listingbody">';
			if (!empty($row["adImage"])) { 
				if (!empty($row["adURL"]) ) { $ads_in_category .= '<a href="'.$row["adURL"].'" target="_blank class="adCats-link-image">'; } 
				$ads_in_category .= '<img src="'.stripslashes($row["adImage"]).'" class="adCats-image">'; 
				if (!empty($row["adURL"]) ) { $ads_in_category .= '</a>'; }
				}
			$ads_in_category .= stripslashes($row["adListing"]).'<br />';
			
			$phone_query = "SELECT phone FROM ". $TABLE_Prefix_remote ."raham_advertisers WHERE id='". $row["owner"] . "'";
			$phone_result=mysqli_query($linkID_remote, $phone_query)  or die(mysqli_error($linkID_remote));
			$phone_rows=mysqli_fetch_array($phone_result);
			$phone=$phone_rows["phone"];
        		if (!empty($phone)) { 	$ads_in_category .= '<strong> <a href="tel:'.$phone.'" class="adCats-phone">Call '.$phone.'</a></strong>'; 	}
        		if (!empty($phone) AND !empty($row["location"])) { $ads_in_category .= ', '; 	}
        		if(!empty($row["location"])) { $ads_in_category .='<strong><span class="adCats-location">'.$row["location"].'</span></strong>'; 	}

        		$ads_in_category .=' '.'</p></div>
						';
			if ( $adsrow=="0" and $adscols ==1) { $ads_in_category .= '</div>'; $adsrow=1; }
				elseif ($adsrow=="1" and $adscols==1)  { $ads_in_category .= '</div></div>'; $adsrow=0; }

			}

		if ( $adsrow=="1" and $adscols==1) { $ads_in_category .=' '.'</p></div>
                                                '; }

		if ($flag) { $all_ads2 .= $ads_in_category; $ads_in_category=''; $adscolss=0; $flag='';	}
			else { $all_ads2=''; 	}

		}

		mysqli_close($linkID_remote);
		return $all_ads2;


	}


function ool_ad_categories3($atts) {
	include ( "config.php" );
	global $all_ool_ads3;


	extract( shortcode_atts( array(    
		'category' => '',
		'showtitle' => '',
		'dir' => 'asc',
		'AdID' => '',
		'adscols' => '',
		'noanchors' => '0'
	      ), $atts ) );
      
    	global $wpdb_ool;

	$cats = explode(',', $category);

	/* adjusting order */

	$orderby =" plan ";
    	if ( $dir == 'desc' || $dir == 'asc' || $dir == 'rand' || $dir =="title" || $dir == "title-desc" ) {
		} else { $dir = ''; } 
	if ( $dir == 'rand' ) { $orderby =' RAND() '; }
	if ( $dir == "asc" OR $dir == "desc" ) { $orderby = $orderby . $dir; }
	if ( $dir == "title" ) { $orderby = "adTitle"; }
	if ( $dir == "title-desc" ) { $orderby = "adTitle DESC"; }
	/* end ajusting order */

	if ($adscols==1) { 
		echo '<style>
		* {  boox-sizing: border-box; }
		.tworowset { display: flex; }
		.twocolset { flex: 50%; padding: 10px; }
		</style>';
		}


	foreach ( $cats as $category ) {
    
    		if ( $showtitle == 'yes' ) { 
			$gettitle_query = "SELECT name FROM ".$TABLE_Prefix_remote."raham_categories WHERE id ='$category'";
			$titleresult=mysqli_query($linkID_remote, $gettitle_query)  or die(mysqli_error($linkID_remote));
			$titlerow=mysqli_fetch_array($titleresult);
			$title=$titlerow["name"];
		$ads_in_category = '<h2 class="adCats_main_Title">'.$title.'</h2>'; }

		$gettheseresults_query = "select ads.id, ads.adTitle, ads.adListing, ads.adURL, ads.adImage, ads.owner,rloc.location from ".$TABLE_Prefix_remote."raham_ads as ads
                        left join ".$TABLE_Prefix_remote."raham_category_assignments as radc on ads.id=radc.adID
                        left join ".$TABLE_Prefix_remote."raham_location_assignments as radloc on ads.id=radloc.adID
                        left join ".$TABLE_Prefix_remote."raham_locations as rloc on radloc.locationID=rloc.id
                        left join ".$TABLE_Prefix_remote."raham_advertisers as radv on ads.owner=radv.id
                        where radc.catID='$category' and radv.status<>'closed'
                        order by ads.plan DESC,".$orderby ;    

                        $gettheseresultsresult=mysqli_query($linkID_remote, $gettheseresults_query)  or die(mysqli_error($linkID_remote));
                        $myrows=mysqli_fetch_array($gettheseresultsresult);

		$halfNo = ceil(count($myrows)/2);
		$flag = 0;
		$adsrow=0;

		while ($row = mysqli_fetch_array($gettheseresultsresult)) { 
			if ($adsrow=="0" and $adscols==1) { $ads_in_category .= '<div class="tworowset"><div class="twocolset">'; }
				elseif ($adsrow=="1" and $adscols ==1) { $ads_in_category .= '<div class="twocolset">'; }
			$flag = 1; 
			$the_adID = $row["id"];
 

			if ($noanchors=="0") { $ads_in_category .= '<a name="'.$the_adID.'"></a>'; }
			$ads_in_category .= '<div class="adCats-single-listing';
			if ($row["plan"] == "Level 1" ) { 
				$ads_in_category .= ' adCats-Level1 '; 
				}
				elseif ($row["plan"] == "Level 2" ) { 
					$ads_in_category .= ' adCats-Level2 '; 
				}
				else { 
					$ads_in_category .= ' adCats-Free '; 
				}
			$ads_in_category .= '" >';


			$ads_in_category .= '<h3  class="adCats-h3">';
        		if (!empty($row["adURL"]) ) { $ads_in_category .= '<a href="'.$row["adURL"].'" target="_blank" class="adCats-link"><span class="adCats-title">'; 	}
        		$ads_in_category .= stripslashes($row["adTitle"]);
        		if (!empty($row["adURL"]) ) { $ads_in_category .= '</span></a>'; }
        		$ads_in_category .= '</h3><p  class="adCats-listingbody">';
			if (!empty($row["adImage"])) { 
				if (!empty($row["adURL"]) ) { $ads_in_category .= '<a href="'.$row["adURL"].'" target="_blank class="adCats-link-image">'; } 
				$ads_in_category .= '<img src="'.stripslashes($row["adImage"]).'" class="adCats-image">'; 
				if (!empty($row["adURL"]) ) { $ads_in_category .= '</a>'; }
				}
			$ads_in_category .= stripslashes($row["adListing"]).'<br />';
			
			$phone_query = "SELECT phone FROM ". $TABLE_Prefix_remote ."raham_advertisers WHERE id='". $row["owner"] . "'";
			$phone_result=mysqli_query($linkID_remote, $phone_query)  or die(mysqli_error($linkID_remote));
			$phone_rows=mysqli_fetch_array($phone_result);
			$phone=$phone_rows["phone"];
        		if (!empty($phone)) { 	$ads_in_category .= '<strong> <a href="tel:'.$phone.'" class="adCats-phone">Call '.$phone.'</a></strong>'; 	}
        		if (!empty($phone) AND !empty($row["location"])) { $ads_in_category .= ', '; 	}
        		if(!empty($row["location"])) { $ads_in_category .='<strong><span class="adCats-location">'.$row["location"].'</span></strong>'; 	}

        		$ads_in_category .=' '.'</p></div>
						';
			if ( $adsrow=="0" and $adscols ==1) { $ads_in_category .= '</div>'; $adsrow=1; }
				elseif ($adsrow=="1" and $adscols==1)  { $ads_in_category .= '</div></div>'; $adsrow=0; }

			}

		if ( $adsrow=="1" and $adscols==1) { $ads_in_category .=' '.'</p></div>
                                                '; }

		if ($flag) { $all_ads3 .= $ads_in_category; $ads_in_category=''; $adscolss=0; $flag='';	}
			else { $all_ads3=''; 	}

		}

		mysqli_close($linkID_remote);
		return $all_ads3;
	}







?>
